# Uses of Interface
org.opensaml.saml.saml2.profile.SAML2NameIDGenerator

Packages that use SAML2NameIDGenerator
Package
Description
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of SAML2NameIDGenerator in org.opensaml.saml.saml2.profile

Classes in org.opensaml.saml.saml2.profile that implement SAML2NameIDGenerator
Modifier and Type
Class
Description
`class`
`AbstractSAML2NameIDGenerator`
Abstract base class for simple implementations of `SAML2NameIDGenerator`.

## Uses of SAML2NameIDGenerator in org.opensaml.saml.saml2.profile.impl

Classes in org.opensaml.saml.saml2.profile.impl that implement SAML2NameIDGenerator
Modifier and Type
Class
Description
`class`
`ChainingSAML2NameIDGenerator`
Subclass incorporating SAML 2 interface.
Fields in org.opensaml.saml.saml2.profile.impl declared as SAML2NameIDGenerator
Modifier and Type
Field
Description
`private SAML2NameIDGenerator`
AddNameIDToSubjects.`generator`
Generator to use.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type SAML2NameIDGenerator
Modifier and Type
Method
Description
`void`
AddNameIDToSubjects.`setNameIDGenerator(SAML2NameIDGenerator theGenerator)`
Set the generator to use.